/*
 * PIO.H Version 1.01 (C)1995,1996 HUDSON SOFT
 * ＰＩＯインターフェース関連 Ｃコンパイラ用ヘッダーファイル(PIO.H)
 */

#ifndef _PIO_H_
#define _PIO_H_

/* seek base */
#define	PIO_SEEK_SET	0	/* TOF base */
#define	PIO_SEEK_CUR	1	/* current base */
#define	PIO_SEEK_END	2	/* EOF base */

int	pio_sendchk(void);
int	pio_recvchk(void);
long	pio_fwrite(int fh,long len,void *buf);
long	pio_fread(int fh,long len,void *buf);
long	pio_fseek(int fh,long pos,int from_where);
int	pio_fopen(char *file,char *mode);
void	pio_fclose(int fh);
void	pio_putchar(int c);
void	pio_putstr(char *str);
int	pio_getchar(void);
long	pio_geterror(void);

unsigned char	pio_recvbyte(void);
unsigned long	pio_recvword(void);
void	pio_sendbyte(unsigned char data);
void	pio_sendword(unsigned long data);
void	pio_sendstrings(char *str);

#endif /* _PIO_H_ */
